net.posprinter.utils

## Class DataForSendToPrinterPos58

- java.lang.Object
- - net.posprinter.utils.DataForSendToPrinterPos58

-     public class DataForSendToPrinterPos58
      extends java.lang.Object

  This class is a class of instruction processing tools This type of instruction is only applicable to the products of 58mm series thermal printer pos-58xx series; please refer to the programming manual for the description and effect of specific instructions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataForSendToPrinterPos58()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `allowOrForbidPressButton(int n)`
    `static byte[]` | `CancelChineseCharModel()`
    `static byte[]` | `cancelUserDefinedCharacters(int n)`
    `static byte[]` | `checkLableAndGap()`
    `static byte[]` | `creatCashboxContorlPulse(int m, int t1, int t2)`
    `static byte[]` | `definedDownLoadBmp(android.graphics.Bitmap bitmap, BitmapToByteData.BmpType bmpType)`
    `static byte[]` | `definedFlashBmp(java.util.List<android.graphics.Bitmap> list, int n, BitmapToByteData.BmpType bmpType)`
    `static byte[]` | `definedUserDefinedChineseChar(int c2, byte[] b)`
    `static byte[]` | `defineuserDefinedCharacters(int c1, int c2, byte[] b)`
    `static byte[]` | `endOfLable()`
    `static byte[]` | `horizontalPositioning()`
    `static byte[]` | `initializePrinter()`
    `static byte[]` | `openOrCloseLableModelInReceip(java.lang.Boolean open)`
    `static byte[]` | `printAndFeed(int n)`
    `static byte[]` | `printAndFeedForward(int n)`
    `static byte[]` | `printAndFeedLine()`
    `static byte[]` | `printBarcode(int m, int n, java.lang.String content)`
    `static byte[]` | `printBarcode(int m, java.lang.String content)`
    `static byte[]` | `printBmpInFLASH(int n, int m)`
    `static byte[]` | `printcode128(java.lang.String content)`
    `static byte[]` | `printDownLoadBmp(int m)`
    `static byte[]` | `printRasterBmp(int m, android.graphics.Bitmap bitmap, BitmapToByteData.BmpType bmpType, BitmapToByteData.AlignType alignType, int pagewidth)`
    `static byte[]` | `queryPrinterState()`
    `static byte[]` | `selectAlignment(int n)`
    `static byte[]` | `selectBmpModel(int m, int nL, int nH, byte[] b)`
    `static byte[]` | `selectCharacterCodePage(int n)`
    `static byte[]` | `selectCharacterSize(int n)`
    `static byte[]` | `selectChineseCharModel()`
    `static byte[]` | `selectFont(int n)`
    `static byte[]` | `selectFontB()`
    `static byte[]` | `selectHRICharacterPrintPosition(int n)`
    `static byte[]` | `selectHRIFont(int n)`
    `static byte[]` | `selectInternationalCharacterSets(int n)`
    `static byte[]` | `selectOrCancelBoldModel(int n)`
    `static byte[]` | `selectOrCancelChineseCharDoubleWH(int n)`
    `static byte[]` | `selectOrCancelChineseCharUnderLineModel(int n)`
    `static byte[]` | `selectOrCancelConvertPrintModel(int n)`
    `static byte[]` | `selectOrCancelCW90(int n)`
    `static byte[]` | `selectOrCancelDoubelPrintModel(int n)`
    `static byte[]` | `selectOrCancelInvertPrintModel(int n)`
    `static byte[]` | `selectOrCancelUnderlineModel(int n)`
    `static byte[]` | `selectOrCancleCustomChar(int n)`
    `static byte[]` | `selectPrintModel(int n)`
    `static byte[]` | `seletFontA()`
    `static byte[]` | `setAbsolutePrintPosition(int m, int n)`
    `static byte[]` | `setBarcodeHeight(int n)`
    `static byte[]` | `setBarcodeWidth(int n)`
    `static byte[]` | `setCharRightSpace(int n)`
    `static void` | `setCharsetName(java.lang.String charset)`
    `static byte[]` | `setChineseCharacterModel(int n)`
    `static byte[]` | `setChineseCharLeftAndRightSpace(int n1, int n2)`
    `static byte[]` | `setDefultLineSpacing()`
    `static byte[]` | `setDormancyTime(int n)`
    `static byte[]` | `setHorizontalAndVerticalMoveUnit(int x, int y)`
    `static byte[]` | `setHorizontalmovementPosition(byte[] b)`
    `static byte[]` | `setLeftSpace(int nL, int nH)`
    `static byte[]` | `setLineSpaceing(int n)`
    `static byte[]` | `setOffTime(int n)`
    `static byte[]` | `setPrintAreaWidth(int nL, int nH)`
    `static byte[]` | `setRelativeHorizontalPrintPosition(int nL, int nH)`
    `static byte[]` | `setSpeed(int n)`
    `static byte[]` | `setTheLableWidth(int width)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataForSendToPrinterPos58

          public DataForSendToPrinterPos58()

  - ### Method Detail

    - #### setCharsetName

          public static void setCharsetName(java.lang.String charset)

    - #### horizontalPositioning

          public static byte[] horizontalPositioning()

    - #### printAndFeedLine

          public static byte[] printAndFeedLine()

    - #### setCharRightSpace

          public static byte[] setCharRightSpace(int n)

    - #### selectPrintModel

          public static byte[] selectPrintModel(int n)

    - #### setAbsolutePrintPosition

          public static byte[] setAbsolutePrintPosition(int m,
                                                        int n)

    - #### selectOrCancleCustomChar

          public static byte[] selectOrCancleCustomChar(int n)

    - #### defineuserDefinedCharacters

          public static byte[] defineuserDefinedCharacters(int c1,
                                                           int c2,
                                                           byte[] b)

    - #### selectBmpModel

          public static byte[] selectBmpModel(int m,
                                              int nL,
                                              int nH,
                                              byte[] b)

    - #### selectOrCancelUnderlineModel

          public static byte[] selectOrCancelUnderlineModel(int n)

    - #### setDefultLineSpacing

          public static byte[] setDefultLineSpacing()

    - #### setLineSpaceing

          public static byte[] setLineSpaceing(int n)

    - #### cancelUserDefinedCharacters

          public static byte[] cancelUserDefinedCharacters(int n)

    - #### initializePrinter

          public static byte[] initializePrinter()

    - #### setHorizontalmovementPosition

          public static byte[] setHorizontalmovementPosition(byte[] b)

    - #### selectOrCancelBoldModel

          public static byte[] selectOrCancelBoldModel(int n)

    - #### selectOrCancelDoubelPrintModel

          public static byte[] selectOrCancelDoubelPrintModel(int n)

    - #### printAndFeed

          public static byte[] printAndFeed(int n)

    - #### selectFont

          public static byte[] selectFont(int n)

    - #### selectInternationalCharacterSets

          public static byte[] selectInternationalCharacterSets(int n)

    - #### selectOrCancelCW90

          public static byte[] selectOrCancelCW90(int n)

    - #### setRelativeHorizontalPrintPosition

          public static byte[] setRelativeHorizontalPrintPosition(int nL,
                                                                  int nH)

    - #### selectAlignment

          public static byte[] selectAlignment(int n)

    - #### allowOrForbidPressButton

          public static byte[] allowOrForbidPressButton(int n)

    - #### printAndFeedForward

          public static byte[] printAndFeedForward(int n)

    - #### creatCashboxContorlPulse

          public static byte[] creatCashboxContorlPulse(int m,
                                                        int t1,
                                                        int t2)

    - #### selectCharacterCodePage

          public static byte[] selectCharacterCodePage(int n)

    - #### selectOrCancelConvertPrintModel

          public static byte[] selectOrCancelConvertPrintModel(int n)

    - #### printBmpInFLASH

          public static byte[] printBmpInFLASH(int n,
                                               int m)

    - #### definedFlashBmp

          public static byte[] definedFlashBmp(java.util.List<android.graphics.Bitmap> list,
                                               int n,
                                               BitmapToByteData.BmpType bmpType)

    - #### selectCharacterSize

          public static byte[] selectCharacterSize(int n)

    - #### definedDownLoadBmp

          public static byte[] definedDownLoadBmp(android.graphics.Bitmap bitmap,
                                                  BitmapToByteData.BmpType bmpType)

    - #### printDownLoadBmp

          public static byte[] printDownLoadBmp(int m)

    - #### selectOrCancelInvertPrintModel

          public static byte[] selectOrCancelInvertPrintModel(int n)

    - #### selectHRICharacterPrintPosition

          public static byte[] selectHRICharacterPrintPosition(int n)

    - #### setLeftSpace

          public static byte[] setLeftSpace(int nL,
                                            int nH)

    - #### setHorizontalAndVerticalMoveUnit

          public static byte[] setHorizontalAndVerticalMoveUnit(int x,
                                                                int y)

    - #### setPrintAreaWidth

          public static byte[] setPrintAreaWidth(int nL,
                                                 int nH)

    - #### selectHRIFont

          public static byte[] selectHRIFont(int n)

    - #### setBarcodeHeight

          public static byte[] setBarcodeHeight(int n)

    - #### printBarcode

          public static byte[] printBarcode(int m,
                                            java.lang.String content)

    - #### printBarcode

          public static byte[] printBarcode(int m,
                                            int n,
                                            java.lang.String content)

    - #### printcode128

          public static byte[] printcode128(java.lang.String content)

    - #### printRasterBmp

          public static byte[] printRasterBmp(int m,
                                              android.graphics.Bitmap bitmap,
                                              BitmapToByteData.BmpType bmpType,
                                              BitmapToByteData.AlignType alignType,
                                              int pagewidth)

    - #### setBarcodeWidth

          public static byte[] setBarcodeWidth(int n)

    - #### setChineseCharacterModel

          public static byte[] setChineseCharacterModel(int n)

    - #### selectChineseCharModel

          public static byte[] selectChineseCharModel()

    - #### selectOrCancelChineseCharUnderLineModel

          public static byte[] selectOrCancelChineseCharUnderLineModel(int n)

    - #### CancelChineseCharModel

          public static byte[] CancelChineseCharModel()

    - #### definedUserDefinedChineseChar

          public static byte[] definedUserDefinedChineseChar(int c2,
                                                             byte[] b)

    - #### setChineseCharLeftAndRightSpace

          public static byte[] setChineseCharLeftAndRightSpace(int n1,
                                                               int n2)

    - #### selectOrCancelChineseCharDoubleWH

          public static byte[] selectOrCancelChineseCharDoubleWH(int n)

    - #### queryPrinterState

          public static byte[] queryPrinterState()

    - #### openOrCloseLableModelInReceip

          public static byte[] openOrCloseLableModelInReceip(java.lang.Boolean open)

    - #### endOfLable

          public static byte[] endOfLable()

    - #### checkLableAndGap

          public static byte[] checkLableAndGap()

    - #### setTheLableWidth

          public static byte[] setTheLableWidth(int width)

    - #### selectFontB

          public static byte[] selectFontB()

    - #### seletFontA

          public static byte[] seletFontA()

    - #### setSpeed

          public static byte[] setSpeed(int n)

    - #### setDormancyTime

          public static byte[] setDormancyTime(int n)

    - #### setOffTime

          public static byte[] setOffTime(int n)